%define oname	pymetar
  
Name:		python-%{oname}
Version:	0.14
Release:	%mkrel 2
Summary:	Weather report Python module
Group:		Development/Python
License:	GPLv2+
URL:		http://www.schwarzvogel.de/software-pymetar.shtml
Source0:	http://www.schwarzvogel.de/pkgs/%{oname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root 
BuildArch:	noarch 
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Requires:	python 
  
%description 
This library downloads the weather report for a given station ID,
decodes it and provides easy access to all the data found in the
report.
  
%prep
%setup -q -n %{oname}-%{version}
  
%build 
  
%install 
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --compile --optimize=2
rm -rf %{buildroot}%{_docdir}

%clean 
rm -rf %{buildroot}
  
%files  
%defattr(-,root,root,-) 
%doc README THANKS librarydoc.txt
%{_bindir}/weather.py
%{py_puresitedir}/%{oname}.py*
%{py_puresitedir}/%{oname}-%{version}-py%{pyver}.egg-info



%changelog
* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.14-2mdv2010.0
+ Revision: 442440
- rebuild

* Sat Dec 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.14-1mdv2009.1
+ Revision: 319648
- drop some now non-existent docs
- rebuild with python 2.6
- new release 0.14

* Thu Jul 31 2008 Adam Williamson <awilliamson@mandriva.org> 0.13-1mdv2009.0
+ Revision: 258360
- import python-pymetar


